Issue 98216 - ComboBox Autocomplete ( AutoFill ) option cannot be switched off
Summary: ComboBox Autocomplete ( AutoFill ) option cannot be switched off
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 3.0
Hardware: PC Windows, all
: P3 Trivial with 1 vote (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-19 07:29 UTC by bmarcelly
Modified: 2017-05-20 10:35 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
Proposed patch on OOO330 (511 bytes, text/plain)
2010-10-15 12:56 UTC, hanya
no flags Details
Writer document demonstrating the AutoFill in a ComboBox (41.14 KB, application/octet-stream)
2014-02-08 13:36 UTC, bmarcelly
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2009-01-19 07:29:49 UTC
In the ComboBox Model there is a boolean property AutoComplete, see
com.sun.star.awt.UnoControlComboBoxModel
This property can be set/reset by UI on the property panel of the control, see item 
"AutoFill" in form control or dialog control.

Problem : setting it to "No" does not switch OFF the AutoComplete feature.

Consequence: suppose you need to enter a case-sensitive text; if an existing item has 
the same beginning, it enforces the case of these letters. Example:
- existing item = ucb
- wanted value = UCR  --> result will be ucR
Comment 1 hanya 2010-10-15 12:53:18 UTC
The property value changed through control model passes boolean type value to
VCLXComboBox::setProperty method. 
But sal_Int16 type value is extracted from the passed any in it. The value from
changed at the model has no chance to update value.
Proposed patch to fix it.
Comment 2 hanya 2010-10-15 12:56:33 UTC
Created attachment 72064 [details]
Proposed patch on OOO330
Comment 3 Edwin Sharp 2014-02-06 11:35:28 UTC
Please attach example.
Comment 4 bmarcelly 2014-02-08 13:36:17 UTC
Created attachment 82544 [details]
Writer document demonstrating the AutoFill in a ComboBox
Comment 5 Edwin Sharp 2014-02-08 16:02:45 UTC
Thank you bmarcelly
Confirmed with
AOO410m1(Build:9750)  -  Rev. 1562493
Rev.1562493
Win 7
Comment 6 SVN Robot 2014-05-16 08:25:29 UTC
"hanya" committed SVN revision 1595141 into trunk:
#i98216# extract boolean value for AutoFill value of ComboBox model
Comment 7 hanya 2014-05-16 10:49:34 UTC
Fixed on trunk.
Comment 8 hanya 2014-05-16 12:53:38 UTC
Set target.